Subject: Re: linux-next: build failure after merge of the net-next tree

From: Peter Zijlstra <[email-masked]>
Date: Wed, 18 Dec 2013 12:36:51 +0100

On Wed, Dec 18, 2013 at 12:33:24PM +0100, Peter Zijlstra wrote:
> On Wed, Dec 18, 2013 at 11:07:34AM -0000, David Laight wrote:
> > > > And sort(1) is annoying in that it doesn't do in-place sort; you'll end
> > > > up with empty files if you try the naive thing.
> > > >
> > > > Worse most of those Kbuild files include other random garbage, which
> > > > makes automated sorting harder still.
> > > >
> > > > So unless there's a sane and easy way to keep it sorted; I'm going to
> > > > ignore that rule.
> > > 
> > > Not keeping them sorted causes merge conflicts and duplicate/missing
> > > entries.
> 
> Surely sorting doesn't cure missing entries. Also sorting can at most
> reduce merge conflicts, not take them out entirely.

In fact, manually editing these files carries a far greater risk of
causing missing entries than sorting could possibly cure.

Also, missing entires isn't much of a problem to begin with, compilers
are rather good at finding the problem.